Name:		flowblade
Version:	0.18.0
Release:	1%{?dist}
License:	GPLv3
Summary:	Multitrack non-linear video editor for Linux
Url:		https://code.google.com/p/flowblade/
BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Group:		Applications/Multimedia
Source0:	https://www.dropbox.com/s/qcw3gcyd6uioill/flowblade-0.18.0.tar.gz

BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	python-setuptools

Requires:	ffmpeg 
Requires:	pygtk2 
Requires:	ladspa 
Requires:	ladspa-swh-plugins
Requires:	sox 
Requires:	frei0r-plugins >= 1.4
Requires:	gnome-python2-gnomevfs 
Requires:	numpy 
Requires:	python-pillow
Requires:	pycairo
Requires:	mlt
Requires:	mlt-python
Requires:	cairomm
Requires:	calf
Requires:	ladspa-calf-plugins
Requires:	librsvg2
Requires:	numpy
Requires:       pyxdg
Requires:       cairo
Requires:       gtk3 


BuildArch:	noarch

%description
Flowblade Movie Editor is a multitrack non-linear video editor for Linux
released under GPL 3 license.

Flowblade is designed to provide a fast, precise and robust editing 
experience.

In Flowblade clips are usually automatically placed tightly after or 
between clips when they are inserted on the timeline. Edits are fine 
tuned by trimming in and out points of clips, or by cutting and deleting 
parts of clips.

Flowblade provides powerful tools to mix and filter video and audio. 


%prep
%setup -q -n %{name}-%{version}
# patching flowblade, and avoid message 'small screen'
sed -i 's/1151/1024/g' Flowblade/app.py

find . -type f -print0 | xargs -0 -n 250 chmod a-x

find . -type f | xargs egrep -l '\#!/usr/bin/env|\#!BPY' | xargs chmod a+x

%build
#%{__python} setup.py build

%install

python2 setup.py install --root=%{buildroot} --install-lib=/usr/share/pyshared --optimize=1


%files
%defattr(755, root, root)
%{_bindir}/flowblade
%{_datadir}/applications/flowblade.desktop
%{_mandir}/man1/flowblade.1.gz
%{_datadir}/mime/packages/flowblade.xml
%{_datadir}/pixmaps/flowblade.png
/usr/lib/mime/packages/flowblade
%{_datadir}/pyshared/Flowblade/
%{_datadir}/pyshared/flowblade*




%changelog

* Fri Mar 20 2015 David Vásquez <davidjeremias82 AT gmail DOT com> - 0.18.0-1
-  Updated to 0.18.0

* Sat Jul 05 2014 David Vásquez <davidjeremias82@ dat com> 0.12.0-1
- updated to 0.12.0

* Thu Oct 24 2013 David Vásquez <davidjeremias82@ dat com> 0.10.0-1
- Initial build rpm Fedora

